Please where can I download Meta Trader 4 to be compatible with Android 2.3?

To add comments, please log in or register
ojomola21
7
ojomola21  
I've been using meta trader 4 version 400.636 for over 2 years now, and its compatible with my Android 2.3, recently (4 days ago to be precise), I woke up to launch my meta trader 4 only to be Notified that the version (400.636) is now outdated and I should upgrade to a later version, I visited Google Android Market/Google Play Store to see if I could find a supporting version for my android 2.3 but the version available on the Android Market is for Android 4.0 operating system.
Please is there any who can give me the link to download meta trader 4 that is not outdated yet and will run on android 2.3?
whiteking
467
whiteking  
I am not using platform for android so far

I think contact broker might help or first trying from visit broker on page download platform might there are information
To add comments, please log in or register